Bug 158428 - net/xwhois: request for marking it BROKEN and DEPRECATED
Summary: net/xwhois: request for marking it BROKEN and DEPRECATED
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-29 14:20 UTC by R.Mahmatkhanov
Modified: 2011-08-15 22:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description R.Mahmatkhanov 2011-06-29 14:20:07 UTC
This port builds fine, but runtime is broken for me. I compiled it with --enable-debug and this is what i got (may be threads related):

"""
(gdb) file xwhois
Reading symbols from xwhois...(no debugging symbols found)...done.
(gdb) run
Starting program: /usr/local/bin/xwhois 
(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...[New LWP 101307]
(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...(no debugging symbols found)...[New Thread 28804300 (LWP 101307/xwhois)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 28804300 (LWP 101307/xwhois)]
0x284216e0 in malloc_usable_size () from /lib/libc.so.7
"""

It's an old gtk-1 application that was last updated more than 10 years ago, it's unmaintained in a ports tree and haven't active support by upstream, so i think that it may be safely removed.

I didn't tested runtime in 8 and 7 though.
Comment 1 Edwin Groothuis freebsd_committer 2011-06-29 14:20:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2011-07-12 06:26:14 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to pool at assignee request for the moment.
Comment 3 Rene Ladan freebsd_committer 2011-08-15 18:50:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Grab
Comment 4 dfilter service freebsd_committer 2011-08-15 21:54:25 UTC
rene        2011-08-15 20:54:11 UTC

  FreeBSD ports repository

  Modified files:
    net/xwhois           Makefile 
  Log:
  Deprecate, it has been unmaintened upstream for several years.
  
  PR:             ports/158428
  Submitted by:   Ruslan Mahmatkhanov [cvs-src yandex.ru]
  
  Revision  Changes    Path
  1.28      +2 -0      ports/net/xwhois/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Rene Ladan freebsd_committer 2011-08-15 21:54:33 UTC
State Changed
From-To: open->closed

Committed, thanks